Bug 39264 - Update port: devel/tkcon ${PERL} -> ${REINPLACE_CMD}
Update port: devel/tkcon ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 10:10 UTC by obraun
Modified: 2002-06-27 14:33 UTC (History)
0 users

See Also:


Attachments
file.diff (468 bytes, patch)
2002-06-14 10:10 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 10:10:01 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-19 23:21:09 UTC
add USE_REINPLACE= yes and fix RE for sed(1)

Regards,
         Olli


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/tkcon/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- Makefile	2001/09/25 21:26:27	1.9
+++ Makefile	2002/06/19 22:20:23
@@ -15,11 +15,12 @@
 
 RUN_DEPENDS=	wish8.3:${PORTSDIR}/x11-toolkits/tk83
 
+USE_REINPLACE=	yes
 NO_BUILD=	yes
 
 post-patch:
-	@${PERL} -pi \
-		-e 's,docs\s+"([^"]+)",docs	"file:${PREFIX}/share/doc/tkcon/index.html\\n\1",' ${WRKSRC}/tkcon.tcl
+	@${REINPLACE_CMD} -E \
+		-e 's,docs[ 	]+"([^"]+)",docs	"file:${PREFIX}/share/doc/tkcon/index.html\\n\1",' ${WRKSRC}/tkcon.tcl
 
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/tkcon.tcl ${PREFIX}/bin/tkcon
Comment 2 perky freebsd_committer 2002-06-27 14:33:22 UTC
State Changed
From-To: open->closed

Committed, Thanks!